package com.xhpc.common.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * 业务字典 xhpc_dict_biz
 *
 * @author yuyang
 * @date 2021-07-20
 */
public class XhpcDictBiz extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 业务字典id */
    private Long dictBizId;

    /** 父主键id */
    private Long parentId;

    /** 字典码 */
    private String code;

    /** 字典名称 */
    private String dictKey;

    /** 字典名称 */
    private String dictValue;

    /** 排序 */
    private String sort;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public Long getDictBizId() {

        return dictBizId;
    }

    public void setDictBizId(Long dictBizId) {

        this.dictBizId = dictBizId;
    }

    public Long getParentId() {

        return parentId;
    }

    public void setParentId(Long parentId) {

        this.parentId = parentId;
    }

    public String getCode() {

        return code;
    }

    public void setCode(String code) {

        this.code = code;
    }

    public String getDictKey() {

        return dictKey;
    }

    public void setDictKey(String dictKey) {

        this.dictKey = dictKey;
    }

    public String getDictValue() {

        return dictValue;
    }

    public void setDictValue(String dictValue) {

        this.dictValue = dictValue;
    }

    public String getSort() {

        return sort;
    }

    public void setSort(String sort) {

        this.sort = sort;
    }

    public String getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(String delFlag) {

        this.delFlag = delFlag;
    }

}
